from django.urls import path
from . import views
from .views import api_ejecutar_recurrentes

urlpatterns = [
    path('', views.dashboard, name='dashboard'),
    path('buscatotal/', views.buscatotal, name='buscatotal'),
    # Movimientos
    path('agregar/', views.agregar_movimiento, name='agregar_movimiento'),
    path('movimientos/<int:movimiento_id>/editar/', views.editar_movimiento, name='editar_movimiento'),
    path('movimientos/<int:movimiento_id>/eliminar/', views.eliminar_movimiento, name='eliminar_movimiento'),
    path('movimientos/<int:movimiento_id>/duplicar/', views.duplicar_movimiento, name='duplicar_movimiento'),

    # Cuentas
    path('cuentas/', views.listar_cuentas, name='listar_cuentas'),
    path('cuentas/<int:cuenta_id>/informe/', views.informe_cuenta, name='informe_cuenta'),
    path('cuentas/informe/pdf/', views.informe_cuenta_pdf, name='informe_cuenta_pdf'),
    path('informe-cuenta/', views.informe_cuenta, name='informe_cuenta'),

    # API
    path('api/datos/', views.api_datos_completos, name='api_datos_completos'),

    path('api/ejecutar-recurrentes/', api_ejecutar_recurrentes, name='api_ejecutar_recurrentes'),
    path('resumen-saldos/', views.resumen_saldos_mensuales, name='resumen_saldos_mensuales'),
]
